/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.contractclient.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.contractclient.entity.WorkContractClient;
import com.jeeplus.modules.contractclient.dao.WorkContractClientDao;

/**
 * 合同涉及客户列表Service
 * @author lw
 * @version 2018-06-05
 */
@Service
@Transactional(readOnly = true)
public class WorkContractClientService extends CrudService<WorkContractClientDao, WorkContractClient> {

	public WorkContractClient get(String id) {
		return super.get(id);
	}
	
	public List<WorkContractClient> findList(WorkContractClient workContractClient) {
		return super.findList(workContractClient);
	}
	
	public Page<WorkContractClient> findPage(Page<WorkContractClient> page, WorkContractClient workContractClient) {
		return super.findPage(page, workContractClient);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkContractClient workContractClient) {
		super.save(workContractClient);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkContractClient workContractClient) {
		super.delete(workContractClient);
	}
	
	
	
	
}